Subject: bug#73928: Bug#1080330: coreutils: who no longer works

From: Michael Stone <[email-masked]>
Date: Sun, 16 Feb 2025 19:00:53 -0500

On Mon, Feb 17, 2025 at 12:28:03AM +0100, Vincent Lefevre wrote:
>No data for xterm. Other terminals are affected too, such as
>GNOME Terminal.

Yes, much of the data from the old utmp is simply not there. A sane 
transition would deprecate utmp in one release while adding a 
replacement, then remove in the next--not just drop it and hope other 
people figure out how to cobble together a solution.